A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
log10
ArrayFire Functions | ArrayFire Functions by Category » Mathematical functions » Exponential and logarithmic functions

## Functions
array | log10 (const array &in)
| C++ Interface to evaluate the base 10 logarithm.
af_err | af_log10 (af_array *out, const af_array in)
| C Interface to evaluate the base 10 logarithm.

## Detailed Description

Evaluate the base 10 logarithm.

Note
  This function only supports real inputs; complex inputs are not yet supported.

## Function Documentation

## ◆ af_log10()

af_err af_log10 | ( | af_array * | out,
|  | const af_array | in )

C Interface to evaluate the base 10 logarithm.

Parameters

  [out] | out | base 10 logarithm
  [in] | in | input array

Returns
  AF_SUCCESS, if function returns successfully, else an af_err code is given

## ◆ log10()

array log10 | ( | const array & | in | ) |

C++ Interface to evaluate the base 10 logarithm.

Parameters

  [in] | in | input

Returns
  base 10 logarithm